spring:
    messages:
        cache-duration: -1
        basename: classpath:i18n/messages/message
        encoding: UTF-8
    thymeleaf:
        check-template-location: true
        prefix: /WEB-INF/views/
        suffix: .html
    servlet:
        multipart:
            max-file-size: 10MB
            max-request-size: 10MB
#    session.store-type: redis
    data:
        redis:
            repositories:
                enabled: true
     
server.site.name: front

server:
    error:
        path: /error # 오류 응답을 처리할 Handler의 경로
        whitelabel.enabled: false
#    servlet:
#        session:
#            cookie:
#                name: WSESSIONID
#                secure: true

# 본인인증
certify:
    nice:
        id: G2860
        pwd: A2G93CK87ZP8
        callback: /customer/nice/certify/callback
    ipin:
        id: A621
        pwd: 73350165
        callback: /customer/nice/certify/callback

# 네이버 API
naver:
    clientId: x5FGDO3Q9kNZVG9SnDY6
    clientSecret: tRRng56dgN
    login.callbackUrl: /signin/snsLoginCallback?snsType=NV
    shortUrl: https://openapi.naver.com/v1/util/shorturl
    tokenUrl: https://nid.naver.com/oauth2.0/token
    userInfoUrl : https://openapi.naver.com/v1/nid/me
    authorizeUrl : https://nid.naver.com/oauth2.0/authorize
    pay:
        partnerId: np_ktptw906068
        clientId: 8TSWSyJMMUvOLKUySQx6
        clientSecret: oGXnO7cMD1
        paymentReadyUrl: /naverpay/payments/v2/reserve
        approvePaymentUrl: /naverpay/payments/v2/apply/payment
        paymentOrderUrl: /naverpay/payments/v2/list/history
        cancelPaymentUrl: /naverpay/payments/v1/cancel
        decideOrderUrl: /naverpay/payments/v1/purchase-confirm

# 네이버페이 API
naverPay:
    partnerId: np_ktptw906068
    clientId: 8TSWSyJMMUvOLKUySQx6
    clientSecret: oGXnO7cMD1
    paymentReadyUrl: /naverpay/payments/v2/reserve
    paymentRedirectUrl: /order/naver/payment/request
    approvePaymentUrl: /naverpay/payments/v2/apply/payment
    paymentOrderUrl: /naverpay/payments/v2/list/history
    cancelPaymentUrl: /naverpay/payments/v1/cancel
    decideOrderUrl: /naverpay/payments/v1/purchase-confirm

#YES24 API
yes24 :
    id : 101582
    type : ISTYLE
    login :
           web.requestUrl : https://www.yes24.com/Templates/FTLoginPartner.aspx
           mob.requestUrl : https://m.yes24.com/Momo/Templates/FTLogin.aspx
    login.callbackUrl: /signin/yes24LoginCallback
    userInfoUrl : https://wsyes24.yes24.com/Yes_Mem.asmx/Yes_Mem_Search_By_CI
    linkUrl : https://wsyes24.yes24.com/Yes_Mem.asmx/Yes_Partner_Insert
    unlinkUrl : https://wsyes24.yes24.com/Yes_Mem.asmx/Yes_Partner_Remove

google :
    sitekey : 6LeZUp4aAAAAAAU-p4cZUfHvGJ_iFUkTUcT1MpKl
    secretKey : 6LeZUp4aAAAAAD_0Tv4_Jc1lPeOFey604Z812QD-
    recaptchaVerifyUrl : https://www.google.com/recaptcha/api/siteverify


# APP 다운로드 URL
app.down.url: 
    ios: https://apps.apple.com/kr/app/id627774402?mt=8
    aos: https://play.google.com/store/apps/details?id=com.istyle24.commerce


# 핑거푸시
fingerPush:
    appKey : 3S2C52DCXOO9
    appSecret : wwRHOmOUvD21vL1t5yqiJh83oL558jV6
    customerKey : sfG70S5UoMKe